PDA

View Full Version : Possible problem with MDAC 2.8 MM?



mikegillow
05-10-2004, 09:26 AM
I converted a working Basic MSI Dev9 project to ISX. The project uses MDAC2.8.

The product doesn't run properly when installed from the ISX build. Ultimately I found that if I downloaded MDAC2.8 from M$ and reinstalled it, my product worked. So - something isn't working properly with the MDAC 2.8 MM.

I had to download the MDAC 2.8 MM for ISX to get the project to build (maybe I didn't 'have' to, put the project didn't pick up the MM from my Dev9 install and it was simple enough to dl in ISX). The merge module properties are set for: Install Location - EXEC, Reboot Location - 0, Suppress Reboot - NotSuppress. The MM is associated with a top-level required feature called Common.

Suggestions on what to look for to get the MM working properly?

mikegillow
05-10-2004, 10:06 AM
FYI - I replaced the downloaded mdac28.msm with a copy from my Dev9 folders and it works fine.

FYI #2 - I tried setting MDAC28 as a prerequisite. The MDAC28 install started and ended up getting hung up scanning for files in use.

So I'm out of the weeds, but it looks like the ISX MDAC28 downloadables are broken.

johnludlow
05-10-2004, 10:24 AM
Strange - I used the 2.8 prerequisite because I wanted to get a look at how they were shown in the UI, and everything worked fine.

Chandima
05-10-2004, 11:23 AM
mikegillow:

I am really surprised that there is actually a difference in the MDAC 2.8 modules shipped with ISX as opposed to DevStudio 9 because no changes were made to it since. I will however look in to this and let you know if I find anything fishy. Thanks for the extra information about the Dev 9 module working. It cuts down a lot of extra work for me.

mikegillow
05-10-2004, 12:24 PM
Clarification - I downloaded and have been working with the Eval version of ISX. Don't know if that would matter or not.

Additional note - I didn't try re-downloading the modules. Maybe in a few days when I have time to mess with it more...